<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>convertisseur module &mdash; Documentation Projet 3 1.0.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/translations.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="next" title="fonctions module" href="fonctions.html" />
    <link rel="prev" title="groupe-3" href="modules.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Projet 3
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">groupe-3</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">convertisseur module</a></li>
<li class="toctree-l2"><a class="reference internal" href="fonctions.html">fonctions module</a></li>
<li class="toctree-l2"><a class="reference internal" href="main.html">main module</a></li>
<li class="toctree-l2"><a class="reference internal" href="unit_test.html">unit_test module</a></li>
<li class="toctree-l2"><a class="reference internal" href="utils.html">utils module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Projet 3</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
          <li class="breadcrumb-item"><a href="modules.html">groupe-3</a></li>
      <li class="breadcrumb-item active">convertisseur module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/convertisseur.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-convertisseur">
<span id="convertisseur-module"></span><h1>convertisseur module<a class="headerlink" href="#module-convertisseur" title="Lien permanent vers cette rubrique"></a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="convertisseur.convertir_xls">
<span class="sig-prename descclassname"><span class="pre">convertisseur.</span></span><span class="sig-name descname"><span class="pre">convertir_xls</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">excel_file</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">csv_file</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">json_file</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#convertisseur.convertir_xls" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Convertit un fichier Excel xls et xlsx en CSV et en JSON.
cette fonction prend un fichier xls ou xlsx pour le convertir
au format  de fichier csv puis le fichier csv en fichier json</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>excel_file</strong> – Chemin du fichier Excel en entrée.</p></li>
<li><p><strong>csv_file</strong> – Chemin du fichier CSV de sortie.</p></li>
<li><p><strong>json_file</strong> – Chemin du fichier JSON de sortie.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="convertisseur.json_to_dict">
<span class="sig-prename descclassname"><span class="pre">convertisseur.</span></span><span class="sig-name descname"><span class="pre">json_to_dict</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#convertisseur.json_to_dict" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Cette fonction trie les données du fichier JSON en regroupant les valeurs de la colonne « Actif » par date.</p>
<dl class="field-list simple">
<dt class="field-odd">Renvoie</dt>
<dd class="field-odd"><p>Dictionnaire trié où les clés sont les dates et les valeurs sont des listes de valeurs de « Actif » en sous-listes de 3 éléments.</p>
</dd>
<dt class="field-even">Type renvoyé</dt>
<dd class="field-even"><p>dict</p>
</dd>
</dl>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Pied de page">
        <a href="modules.html" class="btn btn-neutral float-left" title="groupe-3" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Précédent</a>
        <a href="fonctions.html" class="btn btn-neutral float-right" title="fonctions module" accesskey="n" rel="next">Suivant <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Salaun Perin Baud Randu.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>